# fann_set_weight_array

(PECL fann >= 1.0.0)

fann_set_weight_array — Set connections in the network

### Description

fann_set_weight_array ( resource `$ann` , array `$connections` ) : bool

Set connections in the network.

Only the weights can be changed, connections and weights are ignored if they do not already exist in the network.

### Parameters

`ann`

  Neural network resource.

`connections`

  An array of FANNConnection objects

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.